
QGIS Application - Bug report #18703

QGIS will not complete rendering zoomed-out labels

2018-04-10 09:12 PM - Dewey Dunnington

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:3.0.0 Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 26591

Description

This particular issue occurs when rendering labels for contour lines, but may also affect other types of labels. The layer always renders

when zoomed in, but at a certain point, zooming out causes the layer to never render. Turning off labels fixes the problem. Whenever this

has happened once, QGIS will not exit (required to force quit), although it functions normally until then. When trying to export a Layout with

such a layer, QGIS hangs. See attached layer with attempt to label with field "elevation".

History

#1 - 2018-04-10 10:39 PM - Nyall Dawson

- Status changed from Open to Feedback

This was likely fixed by a patch in 3.0.1. Can you upgrade and test?

#2 - 2018-04-11 07:02 PM - Dewey Dunnington

I can confirm that it is not a problem on 3.01 for Linux, not sure how to test 3.01 on OSX.

#3 - 2018-04-11 09:03 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

tablelands2.geojson.zip 1.27 MB 2018-04-10 Dewey Dunnington
